﻿<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_zaccordion/assets/css/default.css');

$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_load_base				= (int)$params->get('ext_load_base', 1);

// Script options http://www.armagost.com/zaccordion/
$width						= (int)$params->get('width', 900);
$height						= (int)$params->get('height', 300);
$slideWidth					= (int)$params->get('slide_width', 600);	
$invert						= $params->get('invert');
$pause						= $params->get('pause');	
$timeout					= (int)$params->get('timeout', 6000);
$trigger					= $params->get('trigger', 'click');
$speed						= (int)$params->get('speed', 1200);
$startingslide				= (int)$params->get('startingslide', 1);
$startingslide 				= $startingslide - 1;
$auto						= $params->get('auto');


$names = array('img', 'alt', 'html');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}

$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ();  
  
if (jQuery) jQuery.noConflict();  
  

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
if ($ext_load_base > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_zaccordion/assets/js/jquery.zaccordion.min.js"></script>');
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_zaccordion/assets/js/jquery.easing.1.3.js"></script>'); 
}
require JModuleHelper::getLayoutPath('mod_ext_zaccordion', $params->get('layout', 'default'));	
?>