<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
?>

<div class="mod-ext-zaccordion <?php echo $moduleclass_sfx; ?>" style="width:<?php echo $width;?>px; height: <?php echo $height;?>px;">
	<ul id="ext_zaccordion_<?php echo $ext_id; ?>">
		<?php
		for($n=0;$n < count($img);$n++) {	
			if( $img[$n] != '') {
				echo '<li><img src="'.$img[$n].'" width="'.$slideWidth.'px;" alt="'.$alt[$n].'" /><div class="custom-html-wrap">'.$html[$n].'</div></li>';
			}
		}
		?>
	</ul>
	<div style="clear:both;"></div>
</div>



<script type="text/javascript">
jQuery(document).ready(function() {	
    jQuery("#ext_zaccordion_<?php echo $ext_id; ?>").zAccordion({
		timeout: <?php echo $timeout; ?>, /* Time between each slide (in ms) */	
		slideWidth: <?php echo $slideWidth;?>, /* Width of each slide (in px) */
		width: <?php echo $width;?>, /* Width of the container (in px) */
		height: <?php echo $height;?>, /* Height of the container (in px) */	
		startingSlide: <?php echo $startingslide; ?>, /* Zero-based index of which slide should be displayed. */
		slideClass: 'custom-html',
		speed: <?php echo $speed; ?>, /* Speed of the slide transition (in ms) */
		auto: <?php echo $auto; ?>, /* Whether or not the slideshow should play automatically. */		
		trigger: "<?php echo $trigger; ?>", /* Event type that will bind to the "tab" (click, mouseover, etc.) */
		pause: <?php echo $pause; ?>, /* Pause on hover */
		invert: <?php echo $invert; ?>, /* Whether or not to invert the slideshow, so the last slide stays in the same position, rather than the first slide */
		<?php if ($ext_easing != "null") { ?> easing: "<?php echo $ext_easing;?>" <?php } else {?> easing: null <?php } ?>	
	});
});
</script>